%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/						                           %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Z] = find_distrib_slots(S,r,W)

%This function finds how many slots were idle,
%It is also commented out the fuctionality of finding number of collisions(C)
%and number of successful transmissions(N)
%
%INPUT
%S is the matrix with the sensor information
%COLUMNS OF S
%1 = x (the x coordinate)
%2 = y (the y coordinate)
%3 = NOT USED
%4 = density of neighborhood
%5 = NOT USED
%6 = energy the amount of energy the sensor has left
%7 = NOT USED
%8 = the distance from the clusterhead, if a node is clusterhead then the
%    distance from the sink
%9 = sensed value;
%
%r	:	the range of the sensors
%W	:	the number of slots
%
%OUTPUT
%Z	:	the number of idle slots witnessed by each sensor
%can also be added as outputs 
%N	:	the number of slots w/ successful transmissions witnessed by each sensor
%C	:	the number of slots w/ collisions witnessed by each sensor
%the relative lines should also be uncommented

D=calculate_dist(S);
[live] = find(S(:,6));
n = size(live,1);
slot = ceil(rand(n,1).*W);
%N = zeros(n,1);
%C = zeros(n,1);
Z = zeros(n,1);

for i = 1 : max(W)
    t = not(slot - i);
   % N = N + find_transmissions(S,D,t,r);
    Z = Z + find_silent_slots(S,D,t,r)';   
	%C = C + find_collisions(S,D,t,r);
end

Z = Z';
%N = N';
%C = C';