%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/             						               %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [k,k_ci] = mean2N(C,Z)
%this function tries to calculate the number of sensors in the neighborhood,
%of each sensor given the number of idle solots
%
%INPUT
%C : is the number of slots, bins, that each sensor was competing in
%Z : the number of silent slots observed by each sensor

c=max(C);
warning off;
[m,s,m_ci,s_ci] = normfit(Z);
k_ci = (log2(m_ci./c)./log2(1-1/c));
k = round(log2(m./c)./log2(1-1/c));