%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/                           						 %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plot_clust(S)
%this function plots the different clusters using different colours 
%since we don't know homw many clusters we are going to have
%we use a hash function (mod 8) and assign a color to each bucket
%e.g clusters with id=1mod(7) are going to have the same color
%only the nodes that are still alive are plotted

[live]=find(S(:,6));
N=size(live,1);
t=S(live(1),5);
fire = find(S(:,9) ==100);
if not(isempty(fire))
	plot(S(fire,1),S(fire,2),'s');
end
c=['r *';'b x';'m +';'c o';'g .';'y ^';'k #'];
for i=1:N
    colorid=mod(S(live(i),5),7)+1;
   plot(S(live(i),1),S(live(i),2),c(colorid,:));
    hold on;    
end
axis([0 50 0 50]);

%plot_voronoi(S,x,y);
hold off;

