%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/                            %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [S]=assign_values(S,r)
%This function assign the sensed values ot the sensors for round r
%
%INPUT
%S is the matrix with the sensor information
%COLUMNS OF S
%1 = x (the x coordinate)
%2 = y (the y coordinate)
%3 = the number of sensors in the same grid
%4 = type if 0 then sensor is just a node if 1 sensor is clusterhead
%5 = grid ID, the ID of the grid it belongs
%6 = energy the amount of energy the sensor has left
%7 = the time the sensor "died"
%8 = the distance from the clusterhead, if a node is clusterhead then the
%    distance from the sink
%9 = sensed value;
%
%r is the current round

xi=S(:,1);
yj=S(:,2);

S(:,9)=30+30./((xi+yj).^(1/6));
%S(:,9)=35+5*(xi.*yj.*(xi.^2-yj.^2))./(xi.^2+yj.^2)/2000;
%S(:,9)=30+(25-(xi.*yj.^2)./(xi.^2+yj.^2))/5;
%S(:,9)=(cos(xi).*cos(yj).*exp(-sqrt(xi.^2+yj.^2)./4))*10+20;

