%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/                            %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function N=calc_num_neigh(S,r)
%this functions calculates how many neighbours each node has
%INPUT
%S is the matrix with the sensor information
%COLUMNS OF S
%1 = x (the x coordinate)
%2 = y (the y coordinate)
%3 = the number of sensors in the same grid
%4 = type if 0 then sensor is just a node if 1 sensor is clusterhead
%5 = grid ID, the ID of the grid it belongs
%6 = energy the amount of energy the sensor has left
%7 = the time the sensor "died"
%8 = the distance from the clusterhead, if a node is clusterhead then the
%    distance from the sink
%9 = sensed value;
%
%r : the range of transmission

D=calculate_dist(S);

[live] = find(S(:,6));
dt=D(live,live);
dt(find(dt==0)) = r - 0.0001;
N=sum(not(round((dt - r)./r + 0.5)),1);
