%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/                            %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function D=calculate_dist(S)
%this function calculates all the pairwise distances between all the
%sensors
%INPUT
%S is the matrix with the sensor information
%COLUMNS OF S
%1 = x (the x coordinate)
%2 = y (the y coordinate)
%3 = the number of sensors in the same grid
%4 = type if 0 then sensor is just a node if 1 sensor is clusterhead
%5 = grid ID, the ID of the grid it belongs
%6 = energy the amount of energy the sensor has left
%7 = the time the sensor "died"
%8 = the distance from the clusterhead, if a node is clusterhead then the
%    distance from the sink
%9 = sensed value;

D=zeros(size(S,1),size(S,1));
for i=1:size(S,1)
    temp=ones(size(S,1),2);
    temp(:,1)=temp(:,1)*S(i,1);
    temp(:,2)=temp(:,2)*S(i,2);
    D(:,i)=sqrt((temp(:,1)-S(:,1)).^2+(temp(:,2)-S(:,2)).^2);
    D(i,:)=D(:,i)';
end