%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/                            %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [c]=create_cluster_l(l,cl_size)
%this function creates a cluster of size cl_size x cl_size
%the nodes are homogeneously distributed with density l

%INPUT
%l : the density of the cluster
%cli_size : the size of the side of the square cluster

%OUTPUT
%c	:	a struct containing all the nodes of the cluster
%			each row is one node
%COLUMNS OF CLUSTER
%1 = x (the x coordinate)
%2 = y (the y coordinate)
%3 = 0 (NOT DEFINED)
%4 = 0 (NOT DEFINED)
%5 = 0 (cluster ID)
%6 = the amount of energy the sensor has left
%7 = 0 (the time the sensor "died")
%8 = 0 (the distance from the clusterhead, if a node is clusterhead then the
%    distance from the sink)
%9 = 1 (value sensed)

%init_energy = the initial energy given to the nodes in nJ
init_energy=1000000000;

%n = the number of sensors in this cluster
n=round(cl_size^2*l);
%r : a nx2 matrix where the first column is the x coordinates and the second the y 
%		 coordinates of the nodes relative to the cluster
r=rand(n,2)*cl_size;
c=r;
temp=zeros(n,1);
temp1=ones(n,1);
c=[c temp temp temp init_energy*temp1 temp temp temp1];