%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/                           %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function S=create_field_homo(a,lambda)
%this function creates a homogeneous field of sensors
%
%INPUT
%a is the side of the square
%lambda the density of the field
%
%OUTPUT
%S is a struct to keep the informations about the sensors
%
%COLUMNS OF S
%1 = x (the x coordinate)
%2 = y (the y coordinate)
%3 = the number of sensors in the same grid
%4 = type if 0 then sensor is just a node if 1 sensor is clusterhead
%5 = grid ID, the ID of the grid it belongs
%6 = energy the amount of energy the sensor has left
%7 = the time the sensor "died"
%8 = the distance from the clusterhead, if a node is clusterhead then the
%    distance from the sink
%9 = sensed value;

%if deb_fl=1 then plot is going to be geberated
deb_fl=0;

S=create_cluster_l(lambda,a);
S(:,5)=S(:,5)+(i*10+j);
S(:,8)=sqrt((S(:,1)-a/2).^2 + (S(:,2)-a/2).^2);
S=assign_values(S,1);

if deb_fl
    plot_field(S);
end