%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/                            %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function plot_field(S)
% This function takes as input the sensors S and plot the field. The
% clusterhead are red

%columns of S
%1 = x (the x coordinate)
%2 = y (the y coordinate)
%3 = G (the number that define when a sensor should consider becoming a
%        clusterhead)
%4 = type if 0 then sensor is just a node if 1 sensor is clusterhead
%5 = cluster ID, the ID of the clusterhead that this sensor is a member
%6 = energy the amount of energy the sensor has left
%7 = the time the sensor "died"
%8 = the distance from the clusterhead, if a node is clusterhead then the
%    distance from the sink

%live : the indices of sensors that still have some energy left (S(:,6>0))
[live,t1,t2]=find(S(:,6));
N=size(live,1);
for i=1:N
    if (S(live(i),4)==1)
       plot(S(live(i),1),S(live(i),2),'.');
       hold on;
   else
       plot(S(live(i),1),S(live(i),2),'.');
       hold on;
   end
end
hold off;

   
  