%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Niky Riga                                                %
% WING group, Computer Science Department, Boston University   %
%                                                              %
% You can find full documentation and related information at:  %
% http://csr.bu.edu/dip/                            %
%                                                              %
% To report your comment or any bug please send e-mail to:     %
% inki@cs.bu.edu                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function n=prtrnd(a,min,max)
%this function returns a random number drawn from 
%a pareto distribution
%
%INPUT
%a : the exponent of the power law
%min : the minimum value for n
%max : the maximum value for n

r=rand(1);
n=0;
while (n==0)
    n=(1-r+r*(min/max)^a)^(1/a);
end
n=min/n;